{% extends 'base.html' %}
{% block title %}
My tasks
{% endblock %}
{% block content %}
  <div class="my-tasks-list">
    <h1>My Tasks</h1>
    {% if not my_tasks %}
      <p>You have no tasks</p>
    {% else %}
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th class="date-column">Start date</th>
            <th class="date-column">Due date</th>
            <th class="date-column">Is completed</th>
            <th class="note-column" >Note</th>
            <th class="delete-column"></th>
            <th class="mark-complete-column"></th>
          </tr>
        </thead>
        <tbody>
          {% for item in my_tasks %}
            <tr>
              <td >{{ item.name }}</td>
              <td class="date-column">{{ item.start_date|date:"M, d, Y" }}</td>
              <td class="date-column">{{ item.due_date|date:"M, d, Y" }}</td>
              <td class="date-column">{{ item.is_completed|yesno:'✅,❌' }}</td>
              {% if item.note %}
                <td>{{item.note}}</td>
              {% else %}
              <td class="note-column"><a href="{% url 'create_note' id=item.id %}"><button class="create-button">Create Note</button></a></td>
              {% endif %}
              <td class="delete-column"><a href="{% url 'delete_task' id=item.id %}">
                <button class="delete-button">Delete</button>
              </a></td>
              <td class="mark-complete-column"><a href="{% url 'complete_task' id=item.id %}">
                <button class="complete-button">Mark Complete</button>
              </a></td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
{% endblock %}
